/*** IO utility for reading setfile ***/
/*** Gererated by Dr. Kim's CSTART  ***/

#include <stdio.h>
#include <strings.h>
#include <unistd.h>
#if defined(_IBMR2) || defined (AIX) || defined(hpux)
#include <fcntl.h>
#else
#include <sys/fcntl.h>
#endif
#define MAX_LEN 80

typedef  double TYPE;
typedef  double ATYPE;
typedef  float VTYPE;
typedef  float DTYPE;

void setups(char*setfile,char*infofile,char*datafile,int*n,int*m,int*n1,int*n2,int*idata,int*idsol,int*level,int*ierr)
{
   char atype[MAX_LEN];
   char vtype[MAX_LEN];
   char array[MAX_LEN];
   char narr[MAX_LEN];
   char ndata[MAX_LEN];
   char data[MAX_LEN];
   char dataext[MAX_LEN];
   char nwksp[MAX_LEN];
   char Headers[MAX_LEN];
   char Calls[MAX_LEN];

   FILE *fp000;

   if ((fp000=fopen(setfile,"r"))==NULL){
       printf("Error in SETUPS: when try to open <%s>\n",setfile);
       *ierr=1;return;}
   fscanf(fp000,"n=%d m=%d n1=%d n2=%d idata=%d idsol=%d level=%d atype=%s vtype=%s array=%s narr=%s ndata=%s data=%s dataext=%s nwksp=%s Headers=%s Calls=%s",
          n,m,n1,n2,idata,idsol,level,atype,vtype,array,narr,ndata,data,dataext,nwksp,Headers,Calls);
   if(*level>=1) printf("SETUPS: from <%s>\n",setfile);
   if(*level>=3) {
      printf(" n=%d m=%d\n",*n,*m);
      printf(" n1=%d n2=%d\n",*n1,*n2);
      printf(" idata=%d idsol=%d\n",*idata,*idsol);
      printf(" level=%d atype=%s\n",*level,atype);
      printf(" vtype=%s array=%s\n",vtype,array);
      printf(" narr=%s ndata=%s\n",narr,ndata);
      printf(" data=%s dataext=%s\n",data,dataext);
      printf(" nwksp=%s Headers=%s\n",nwksp,Headers);
      printf(" Calls=%s\n",Calls);
   }
   fclose(fp000);

   if(*idata==1){
   strcpy(infofile,"DATAa");
   strcpy(datafile,"DATAa@");
   if ((fp000=fopen(infofile,"r"))==NULL){
       printf("Error in SETUPS: when try to open <%s>\n",infofile);
       *ierr=1;return;}
   fscanf(fp000,"n1=%d n2=%d n=%d m=%d dataext=%s",n1,n2,n,m,dataext);
   if(*level>=1) printf("DATASETUP: from <%s>\n",infofile);
   if(*level>=3) {
      printf(" n1=%d n2=%d\n",*n1,*n2);
      printf(" n=%d m=%d\n",*n,*m);
      printf(" dataext=%s\n",dataext);
      }
   fclose(fp000);
   }

   if(*idata==2){
   strcpy(infofile,"DATAb1");
   strcpy(datafile,"DATAb1@");
   if ((fp000=fopen(infofile,"r"))==NULL){
       printf("Error in SETUPS: when try to open <%s>\n",infofile);
       *ierr=1;return;}
   fscanf(fp000,"n1=%d n2=%d n=%d m=%d",n1,n2,n,m);
   if(*level>=1) printf("DATASETUP: from <%s>\n",infofile);
   if(*level>=3) {
      printf(" n1=%d n2=%d\n",*n1,*n2);
      printf(" n=%d m=%d\n",*n,*m);
      }
   fclose(fp000);
   }

   if(*idata==3){
   strcpy(infofile,"DATAb2");
   strcpy(datafile,"DATAb2@");
   if ((fp000=fopen(infofile,"r"))==NULL){
       printf("Error in SETUPS: when try to open <%s>\n",infofile);
       *ierr=1;return;}
   fscanf(fp000,"n1=%d n2=%d n=%d m=%d",n1,n2,n,m);
   if(*level>=1) printf("DATASETUP: from <%s>\n",infofile);
   if(*level>=3) {
      printf(" n1=%d n2=%d\n",*n1,*n2);
      printf(" n=%d m=%d\n",*n,*m);
      }
   fclose(fp000);
   }

  return;
}

